Subject: bug#51809: 29.0.50; [PATCH] Support for outline default state in Diff buffers

From: Juri Linkov <[email-masked]>
Date: Sun, 14 Nov 2021 20:25:18 +0200

>> (...) I'm using outline-minor-mode in diff buffers all the time with
>> (add-hook 'diff-mode-hook 'outline-minor-mode) and would like to
>> understand how your patch improves this.
>>
>> Could the above hook be replaced with customization of
>> diff-outline-default-state?
>
> It was supposed to. But I am also using outline-minor-mode in diff
> buffers all the time with the same hook as you, and I must confess I've
> not tested until you asked: `diff-outline-apply-default-state' is
> supposed to automatically turn on `outline-minor-mode' but I forgot to
> autoload the later resulting in "Symbol’s value as variable is void:
> outline-minor-mode". I'll fix this.

Something strange happened recently with diff-mode and outline-minor-mode.
I can't use this combination anymore.  While reading your patches, I'm trying
to type TAB on the hunk header to hide already viewed hunks of your patch.
But TAB does nothing now.  Do you see the same?  TAB is used to hide/show body
when outline-minor-mode-cycle is t.